Bug 69219 - usb-storage broke in 2.4.18-5 (ok in 2.4.18-4)
usb-storage broke in 2.4.18-5 (ok in 2.4.18-4)
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-19 00:26 EDT by Pete Zaitcev
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-03 23:59:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The boot-up dmesg (10.34 KB, text/plain)
2002-07-19 00:30 EDT, Pete Zaitcev
no flags Details

  None (edit)
Description Pete Zaitcev 2002-07-19 00:26:21 EDT
Self-filing on behalf of Lau Wee Lip Jonathan <lauweelip@pacific.net.sg>.

USB disk stopped working after an upgrade to 2.4.18-5.

usb.c: USB disconnect on device 2
printer.c: usblp0: removed
hub.c: USB new device connect on bus1/1, assigned device number 4
usb.c: USB device 4 (vend/prod 0xdbf/0x300) is not claimed by any active
driver.
Initializing USB Mass Storage driver...
usb.c: registered new driver usb-storage
scsi2 : SCSI emulation for USB Mass Storage devices
usb-uhci.c: interrupt, status 3, frame# 1156
  Vendor: ST313620  Model: A                 Rev: 3.07
  Type:   Direct-Access                      ANSI SCSI revision: 02
Attached scsi disk sdb at scsi2, channel 0, id 0, lun 0
SCSI device sdb: 26692776 512-byte hdwr sectors (13667 MB)
 sdb: sdb1
WARNING: USB Mass Storage data integrity not assured
USB Mass Storage device found at 4
USB Mass Storage support registered.
Device not ready.  Make sure there is a disc in the drive.
sda : READ CAPACITY failed.
sda : status = 1, message = 00, host = 0, driver = 08
Current sd00:00: sense key Not Ready
Additional sense indicates Medium not present
sda : block size assumed to be 512 bytes, disk size 1GB.
 sda: I/O error: dev 08:00, sector 0
 I/O error: dev 08:00, sector 0
 unable to read partition table

Observe that the media is not actually removable.
The sense may be faked by usb-storage.
Comment 1 Pete Zaitcev 2002-07-19 00:30:41 EDT
Created attachment 65887 [details]
The boot-up dmesg
Comment 2 Pete Zaitcev 2003-06-03 23:59:57 EDT
Thought I fixed it for bug 84814? Closing.
Comment 3 Pawel Salek 2003-08-05 18:36:33 EDT
I see this with kernel-2.4.21-20.1.2024.2.1.nptl of Severn when I use usb-key.
The workaround is to do "rmmod usb-storage" after umount and before physical
disconnection of the device.

Note You need to log in before you can comment on or make changes to this bug.